
cc.Class({
    extends: cc.Component,

    properties: {
        interactionLabel: cc.Label,

        backgroundSprite: cc.Sprite,
    },

    // LIFE-CYCLE CALLBACKS:

    // onLoad () {},

    start () {

    },

    init(interaction) {
        this.interaction = interaction;
    },

    configData(model) {
        this.interactionLabel.string = model.content;
    },
        // update (dt) {},

    selectItem() {
        this.interaction.selectInteraction();
    }
});
